=== apps/CMakeLists.txt ===
add_subdirectory(samples)
if (INVENTOR_NODES)
    add_subdirectory(nodes)
endif()
add_subdirectory(tools)
add_subdirectory(converters)
add_subdirectory(demos)
if (INVENTOR_EXAMPLES)
    add_subdirectory(examples)
endif()
