=== doc/CMakeLists.txt ===
if (INVENTOR_MAN)
    add_subdirectory(man)
endif()
add_subdirectory(help)
