=== lib/CMakeLists.txt ===
macro(ADD_PP_FILES outfiles)
    foreach(it ${ARGN})
        get_filename_component(outbase ${it} NAME_WE)
        get_filename_component(infile ${it} ABSOLUTE)
        set(outfile ${CMAKE_CURRENT_BINARY_DIR}/${outbase}.c++)

        add_custom_command(OUTPUT ${outfile}
            COMMAND ppp < ${infile} > ${outfile}
            MAIN_DEPENDENCY ${infile}
            VERBATIM)
        set(${outfiles} ${${outfiles}} ${outfile})
    endforeach ()
endmacro()

set(CMAKE_INCLUDE_CURRENT_DIR ON)
bison_target(CALCPARSE
    database/src/so/engines/SoCalcParse.y
    ${CMAKE_CURRENT_BINARY_DIR}/SoCalcParse.c++
)

add_pp_files(PP_SOURCES
    database/src/so/nodes/SoCone.pp
    database/src/so/nodes/SoCube.pp
    database/src/so/nodes/SoCylinder.pp
    database/src/so/nodes/SoFaceSet.pp
    database/src/so/nodes/SoIndexedFaceSet.pp
    database/src/so/nodes/SoIndexedLineSet.pp
    database/src/so/nodes/SoLineSet.pp
    database/src/so/nodes/SoPointSet.pp
    database/src/so/nodes/SoIndexedTriangleStripSet.pp
    database/src/so/nodes/SoQuadMesh.pp
    database/src/so/nodes/SoSphere.pp
    database/src/so/nodes/SoTriangleStripSet.pp
)

add_library(Inventor)

target_sources(Inventor
    PRIVATE
    ${PP_SOURCES}
    database/src/sb/projectors/SbProjectors.c++
    database/src/sb/Sb.c++
    database/src/so/actions/SoActions.c++
    database/src/so/bundles/SoBundles.c++
    database/src/so/caches/SoCaches.c++
    database/src/so/details/SoDetails.c++
    database/src/so/elements/SoElement.c++
    database/src/so/elements/SoElements.c++
    database/src/so/engines/SoEngines.c++
    database/src/so/engines/SoConcatenate.c++
    database/src/so/engines/SoEngineInit.c++
    database/src/so/engines/SoFieldConverters.c++
    database/src/so/engines/SoGate.c++
    database/src/so/engines/SoSelectOne.c++
    database/src/so/errors/SoErrors.c++
    database/src/so/errors/SoErrorInit.c++
    database/src/so/events/SoEventInit.c++
    database/src/so/events/SoEvents.c++
    database/src/so/fields/SoField.c++
    database/src/so/fields/SoFieldContainer.c++
    database/src/so/fields/SoFieldData.c++
    database/src/so/fields/SoFieldInit.c++
    database/src/so/fields/SoFields.c++
    database/src/so/fields/SoGlobalField.c++
    database/src/so/nodes/nurbs/clients/nurbsClient.c++
    database/src/so/nodes/nurbs/libnurbs/libNurbs.c++
    database/src/so/nodes/nurbs/SoNurbs.c++
    database/src/so/nodes/SoNode.c++
    database/src/so/nodes/SoNodeInit.c++
    database/src/so/nodes/SoAnnotation.c++
    database/src/so/nodes/SoArray.c++
    database/src/so/nodes/SoAsciiText.c++
    database/src/so/nodes/SoBaseColor.c++
    database/src/so/nodes/SoBlinker.c++
    database/src/so/nodes/SoCallback.c++
    database/src/so/nodes/SoCamera.c++
    database/src/so/nodes/SoClipPlane.c++
    database/src/so/nodes/SoColorIndex.c++
    database/src/so/nodes/SoComplexity.c++
    database/src/so/nodes/SoCoordinate3.c++
    database/src/so/nodes/SoCoordinate4.c++
    database/src/so/nodes/SoDrawStyle.c++
    database/src/so/nodes/SoDirectionalLight.c++
    database/src/so/nodes/SoEnvironment.c++
    database/src/so/nodes/SoFile.c++
    database/src/so/nodes/SoFont.c++
    database/src/so/nodes/SoGroup.c++
    database/src/so/nodes/SoEventCallback.c++
    database/src/so/nodes/SoFontStyle.c++
    database/src/so/nodes/SoInfo.c++
    database/src/so/nodes/SoIndexedNurbsCurve.c++
    database/src/so/nodes/SoIndexedShape.c++
    database/src/so/nodes/SoLOD.c++
    database/src/so/nodes/SoLabel.c++
    database/src/so/nodes/SoLight.c++
    database/src/so/nodes/SoIndexedNurbsSurface.c++
    database/src/so/nodes/SoLevelOfDetail.c++
    database/src/so/nodes/SoMaterial.c++
    database/src/so/nodes/SoLocateHighlight.c++
    database/src/so/nodes/SoLightModel.c++
    database/src/so/nodes/SoLinearProfile.c++
    database/src/so/nodes/SoNormal.c++
    database/src/so/nodes/SoMaterialBinding.c++
    database/src/so/nodes/SoMultipleCopy.c++
    database/src/so/nodes/SoNurbsCurve.c++
    database/src/so/nodes/SoNurbsProfile.c++
    database/src/so/nodes/SoMatrixTransform.c++
    database/src/so/nodes/SoNurbsSurface.c++
    database/src/so/nodes/SoPackedColor.c++
    database/src/so/nodes/SoPendulum.c++
    database/src/so/nodes/SoNonIndexedShape.c++
    database/src/so/nodes/SoPathSwitch.c++
    database/src/so/nodes/SoProfile.c++
    database/src/so/nodes/SoNormalBinding.c++
    database/src/so/nodes/SoRotation.c++
    database/src/so/nodes/SoPickStyle.c++
    database/src/so/nodes/SoRotor.c++
    database/src/so/nodes/SoPointLight.c++
    database/src/so/nodes/SoScale.c++
    database/src/so/nodes/SoShape.c++
    database/src/so/nodes/SoShuttle.c++
    database/src/so/nodes/SoOrthographicCamera.c++
    database/src/so/nodes/SoRotationXYZ.c++
    database/src/so/nodes/SoSwitch.c++
    database/src/so/nodes/SoText2.c++
    database/src/so/nodes/SoPerspectiveCamera.c++
    database/src/so/nodes/SoProfileCoordinate2.c++
    database/src/so/nodes/SoProfileCoordinate3.c++
    database/src/so/nodes/SoResetTransform.c++
    database/src/so/nodes/SoSeparator.c++
    database/src/so/nodes/SoShapeHints.c++
    database/src/so/nodes/SoText3.c++
    database/src/so/nodes/SoSpotLight.c++
    database/src/so/nodes/SoTexture2.c++
    database/src/so/nodes/SoTextureCoordinate2.c++
    database/src/so/nodes/SoTransform.c++
    database/src/so/nodes/SoTextureCoordinateBinding.c++
    database/src/so/nodes/SoUnits.c++
    database/src/so/nodes/SoTransformation.c++
    database/src/so/nodes/readGIF.c
    database/src/so/nodes/SoTranslation.c++
    database/src/so/nodes/SoUnknownNode.c++
    database/src/so/nodes/SoVertexShape.c++
    database/src/so/nodes/SoWWWAnchor.c++
    database/src/so/nodes/SoTextureCoordinateDefault.c++
    database/src/so/nodes/SoVertexProperty.c++
    database/src/so/nodes/SoTextureCoordinateFunction.c++
    database/src/so/nodes/SoTextureCoordinateEnvironment.c++
    database/src/so/nodes/SoTextureCoordinatePlane.c++
    database/src/so/nodes/SoTexture2Transform.c++
    database/src/so/nodes/SoTransformSeparator.c++
    database/src/so/nodes/SoWWWInline.c++
    database/src/so/sensors/SoSensors.c++
    database/src/so/upgraders/SoUpgraderInit.c++
    database/src/so/upgraders/SoUpgrader.c++
    database/src/so/upgraders/SoUpgraders.c++
    database/src/so/So.c++
    database/src/so/SoState.c++
    database/src/so/linux.c++

    database/src/so/engines/SoCalcExpr.h
    database/src/so/engines/SoEngineUtil.h
    database/src/so/engines/SoFieldConverters.h
    database/src/so/fields/SoGlobalField.h
    database/src/so/nodes/nurbs/SoCurveRenderEval.h
    database/src/so/nodes/nurbs/SoPickEvals.h
    database/src/so/nodes/nurbs/SoPrimEvals.h
    database/src/so/nodes/nurbs/_defines.h
    database/src/so/nodes/nurbs/_undefs.h
    database/src/so/nodes/nurbs/clients/gl4curveval.h
    database/src/so/nodes/nurbs/clients/gl4surfeval.h
    database/src/so/nodes/nurbs/clients/gl4types.h
    database/src/so/nodes/nurbs/clients/isocurveeval.h
    database/src/so/nodes/nurbs/clients/softcurvemaps.h
    database/src/so/nodes/nurbs/clients/softcurveval.h
    database/src/so/nodes/nurbs/clients/softcurvmap.h
    database/src/so/nodes/nurbs/clients/softrenderer.h
    database/src/so/nodes/nurbs/clients/softsurfacemaps.h
    database/src/so/nodes/nurbs/clients/softsurfeval.h
    database/src/so/nodes/nurbs/clients/softsurfmap.h
    database/src/so/nodes/nurbs/clients/typestringtable.h
    database/src/so/nodes/nurbs/clients/gl4base.h
    database/src/so/nodes/nurbs/head/arc.h
    database/src/so/nodes/nurbs/head/arcsorter.h
    database/src/so/nodes/nurbs/head/arctess.h
    database/src/so/nodes/nurbs/head/backend.h
    database/src/so/nodes/nurbs/head/basiccrveval.h
    database/src/so/nodes/nurbs/head/basicsurfeval.h
    database/src/so/nodes/nurbs/head/bezierarc.h
    database/src/so/nodes/nurbs/head/bin.h
    database/src/so/nodes/nurbs/head/bufpool.h
    database/src/so/nodes/nurbs/head/cachingeval.h
    database/src/so/nodes/nurbs/head/coveandtiler.h
    database/src/so/nodes/nurbs/head/curve.h
    database/src/so/nodes/nurbs/head/curvelist.h
    database/src/so/nodes/nurbs/head/defines.h
    database/src/so/nodes/nurbs/head/displaylist.h
    database/src/so/nodes/nurbs/head/displaymode.h
    database/src/so/nodes/nurbs/head/flist.h
    database/src/so/nodes/nurbs/head/flistsorter.h
    database/src/so/nodes/nurbs/head/gridline.h
    database/src/so/nodes/nurbs/head/gridtrimvertex.h
    database/src/so/nodes/nurbs/head/gridvertex.h
    database/src/so/nodes/nurbs/head/hull.h
    database/src/so/nodes/nurbs/head/jarcloc.h
    database/src/so/nodes/nurbs/head/jumpbuffer.h
    database/src/so/nodes/nurbs/head/knot.h
    database/src/so/nodes/nurbs/head/knotvector.h
    database/src/so/nodes/nurbs/head/mapdesc.h
    database/src/so/nodes/nurbs/head/maplist.h
    database/src/so/nodes/nurbs/head/mesher.h
    database/src/so/nodes/nurbs/head/myassert.h
    database/src/so/nodes/nurbs/head/myglimports.h
    database/src/so/nodes/nurbs/head/mysetjmp.h
    database/src/so/nodes/nurbs/head/mystdlib.h
    database/src/so/nodes/nurbs/head/mystring.h
    database/src/so/nodes/nurbs/head/nurbsconsts.h
    database/src/so/nodes/nurbs/head/nurbstess.h
    database/src/so/nodes/nurbs/head/patch.h
    database/src/so/nodes/nurbs/head/patchlist.h
    database/src/so/nodes/nurbs/head/pwlarc.h
    database/src/so/nodes/nurbs/head/quilt.h
    database/src/so/nodes/nurbs/head/reader.h
    database/src/so/nodes/nurbs/head/renderhints.h
    database/src/so/nodes/nurbs/head/slicer.h
    database/src/so/nodes/nurbs/head/sorter.h
    database/src/so/nodes/nurbs/head/subdivider.h
    database/src/so/nodes/nurbs/head/trimline.h
    database/src/so/nodes/nurbs/head/trimregion.h
    database/src/so/nodes/nurbs/head/trimvertex.h
    database/src/so/nodes/nurbs/head/trimvertpool.h
    database/src/so/nodes/nurbs/head/types.h
    database/src/so/nodes/nurbs/head/uarray.h
    database/src/so/nodes/nurbs/head/varray.h
    database/src/so/nodes/nurbs/head/glimports.h
    database/src/so/nodes/nurbs/head/mymath.h
    database/src/so/nodes/nurbs/head/mystdio.h
    database/src/so/nodes/nurbs/head/simplemath.h
    database/src/so/nodes/nurbs/SoAddPrefix.h
    database/src/so/nodes/nurbs/SoCurveMaps.h
    database/src/so/nodes/nurbs/SoCurveRender.h
    database/src/so/nodes/nurbs/SoGLRender.h
    database/src/so/nodes/nurbs/SoPickMaps.h
    database/src/so/nodes/nurbs/SoPickRender.h
    database/src/so/nodes/nurbs/SoPrimMaps.h
    database/src/so/nodes/nurbs/SoPrimRender.h
    database/src/so/nodes/readGIF.h
    database/src/so/upgraders/SoUpgraders.h
    database/src/so/upgraders/SoV1DrawStyle.h
    database/src/so/upgraders/SoV1Environment.h
    database/src/so/upgraders/SoV1IndexedTriangleMesh.h
    database/src/so/upgraders/SoV1LayerGroup.h
    database/src/so/upgraders/SoV1LightModel.h
    database/src/so/upgraders/SoV1Material.h
    database/src/so/upgraders/SoV1PackedColor.h
    database/src/so/upgraders/SoV1PickStyle.h
    database/src/so/upgraders/SoV1Separator.h
    database/src/so/upgraders/SoV1ShapeHints.h
    database/src/so/upgraders/SoV1Text2.h
    database/src/so/upgraders/SoV1Text3.h
    database/src/so/upgraders/SoV1Texture2.h
    database/src/so/upgraders/SoV1TextureCoordinateCube.h
    database/src/so/upgraders/SoV1TextureCoordinateCylinder.h
    database/src/so/upgraders/SoV1TextureCoordinateEnvironment.h
    database/src/so/upgraders/SoV1TextureCoordinatePlane.h
    database/src/so/upgraders/SoV1TextureCoordinateSphere.h
    database/src/so/upgraders/SoV2AsciiText.h
    database/src/so/upgraders/SoV2FontStyle.h
    database/src/so/upgraders/SoV2LOD.h
    database/src/so/upgraders/SoV2MaterialIndex.h
    database/src/so/upgraders/SoV2Text2.h
    database/src/so/upgraders/SoV2Text3.h
    database/src/so/upgraders/SoV2VertexProperty.h
    database/src/so/upgraders/SoV2WWWAnchor.h
    database/src/so/upgraders/SoV2WWWInline.h

    PUBLIC
