=== tools/CMakeLists.txt ===
add_subdirectory(ppp)
