=== apps/converters/CMakeLists.txt ===
add_subdirectory(iv2toiv1)
add_subdirectory(ivdowngrade)
