=== debian/changelog ===
inventor (2.1.6+ds-2) unstable; urgency=medium

  * Restore logic for building manpages only on 64-bit architecture.
  * Do not install with RPATH.

 -- Steve M. Robbins <smr@debian.org>  Sun, 18 Aug 2024 01:37:21 -0500

inventor (2.1.6+ds-1) unstable; urgency=medium

  * Standards-Version: 4.7.0 (routine-update)
  * Fix Maintainer name of Debian Science team (routine-update)
  * Remove trailing whitespace in debian/copyright (routine-update)
  * Remove constraints unnecessary since bullseye (oldstable):
    + Build-Depends: Replace dependency on transitional package
      x11proto-core-dev with replacement x11proto-dev.
  * [3e065a2] Switch upstream to github open-inventor (Closes: # 1066892)
    SGI has long ago removed their website.
  * [890f435] New upstream version 2.1.6
    + Rewrite build rules to use new CMake build.
    + Remove all existing patches - all were applied upstream, apart from
      setting a SOVERSION, which is now done in new soversion.patch.
    + Patched sources build with gcc-14 (Closes: #1075090)

 -- Steve M. Robbins <smr@debian.org>  Sat, 17 Aug 2024 21:35:02 -0500

inventor (2.1.5-10+dfsg-2.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Rename libraries for 64-bit time_t transition.  Closes: #1062454

 -- Lukas Märdian <slyon@debian.org>  Wed, 28 Feb 2024 11:29:26 +0000
