=== debian/control ===
Source: inventor
Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Steve M. Robbins <smr@debian.org>
Section: devel
Priority: optional
Build-Depends: dpkg-dev (>= 1.22.5), debhelper-compat (= 13),
               cmake,
               csh,
               libx11-dev,
               libxi-dev,
               libxt-dev,
               x11proto-dev,
               libmotif-dev,
               libglw1-mesa-dev,
               libglu1-mesa-dev,
               libfreetype-dev,
               libjpeg-dev,
               bison
Standards-Version: 4.7.0
Rules-Requires-Root: no
Vcs-Browser: https://salsa.debian.org/science-team/inventor
Vcs-Git: https://salsa.debian.org/science-team/inventor.git
Homepage: https://github.com/aumuell/open-inventor/

Package: libinventor1t64
Provides: ${t64:Provides}
Breaks: libinventor1 (<< ${source:Version})
Architecture: any
Section: libs
Depends: ${misc:Depends},
         ${shlibs:Depends},
         xfonts-scalable,
         fonts-urw-base35
Recommends: xdg-utils,
            xpdf | pdf-viewer
Conflicts: libinventor0
Replaces: libinventor1, libinventor0
Description: Open Inventor runtime environment
 This package contains the required files to run Open Inventor applications.
 .
 Open Inventor is an object-oriented 3D toolkit offering a comprehensive
 solution to interactive graphics programming problems.  It presents a
 programming model based on a 3D scene database that simplifies graphics
 programming.  It includes a large set of objects such as cubes, polygons,
 text, materials, cameras, lights, trackballs, handle boxes, 3D viewers, and
 editors can speed up your programming and extend your 3D program's
 capabilities.
 .
 Recommended packages are needed only to view help files.

Package: inventor-dev
Architecture: any
Depends: ${misc:Depends},
         libinventor1t64 (= ${binary:Version}),
         libc6-dev,
         xlibmesa-dev | libgl-dev,
         libmotif-dev
Conflicts: libcoin20-dev,
           libcoin20-doc
Description: Open Inventor development files
 This package contains the files required to develop Open Inventor
 applications.
 .
 Open Inventor is an object-oriented 3D toolkit offering a comprehensive
 solution to interactive graphics programming problems.  It presents a
 programming model based on a 3D scene database that simplifies graphics
 programming.  It includes a large set of objects such as cubes, polygons,
 text, materials, cameras, lights, trackballs, handle boxes, 3D viewers, and
 editors can speed up your programming and extend your 3D program's
 capabilities.

Package: inventor-doc
Architecture: all
Section: doc
Depends: ${misc:Depends}
Conflicts: libcoin20-doc,
           libcoin40-doc
Multi-Arch: foreign
Description: Open Inventor documentation
 This package contains the Open Inventor documentation files.
 .
 Open Inventor is an object-oriented 3D toolkit offering a comprehensive
 solution to interactive graphics programming problems.  It presents a
 programming model based on a 3D scene database that simplifies graphics
 programming.  It includes a large set of objects such as cubes, polygons,
 text, materials, cameras, lights, trackballs, handle boxes, 3D viewers, and
 editors can speed up your programming and extend your 3D program's
 capabilities.

Package: inventor-clients
Architecture: any
Section: graphics
Depends: ${misc:Depends},
         ${shlibs:Depends}
Description: Open Inventor client programs
 This package contains Open Inventor file viewers and converters.
 .
 Open Inventor is an object-oriented 3D toolkit offering a comprehensive
 solution to interactive graphics programming problems.  It presents a
 programming model based on a 3D scene database that simplifies graphics
 programming.  It includes a large set of objects such as cubes, polygons,
 text, materials, cameras, lights, trackballs, handle boxes, 3D viewers, and
 editors can speed up your programming and extend your 3D program's
 capabilities.

Package: inventor-data
Architecture: all
Section: graphics
Depends: ${misc:Depends}
Multi-Arch: foreign
Description: Open Inventor sample data files
 This package contains sample 3D model and scene files in inventor format.
 .
 Open Inventor is an object-oriented 3D toolkit offering a comprehensive
 solution to interactive graphics programming problems.  It presents a
 programming model based on a 3D scene database that simplifies graphics
 programming.  It includes a large set of objects such as cubes, polygons,
 text, materials, cameras, lights, trackballs, handle boxes, 3D viewers, and
 editors can speed up your programming and extend your 3D program's
 capabilities.

Package: inventor-demo
Architecture: any
Section: graphics
Depends: ${misc:Depends},
         ${shlibs:Depends}
Description: Open Inventor demonstration programs and example code
 This package includes several Open Inventor demos: a scene viewer
 (SceneViewer), a scene graph viewer and editor (gview), a maze game (maze),
 an extrusion editor (noodle), a 3D morphing tool (qmorf), a surface of
 revolution editor (revo), among others.
 .
 This package also contains example code, including the examples
 from the books "The Inventor Mentor", and "The Inventor Toolmaker".
 .
 Open Inventor is an object-oriented 3D toolkit offering a comprehensive
 solution to interactive graphics programming problems.  It presents a
 programming model based on a 3D scene database that simplifies graphics
 programming.  It includes a large set of objects such as cubes, polygons,
 text, materials, cameras, lights, trackballs, handle boxes, 3D viewers, and
 editors can speed up your programming and extend your 3D program's
 capabilities.
