=== debian/rules ===
#!/usr/bin/make -f

# Sadly, the program "ivman" used to generate manual pages
# is broken on several architectures.  It looks to me like
# there are assumptions being made about the form of mangled
# identifiers, or maybe some bad assumptions being broken on 64-bit
# architectures.  Whatever.
#
# The man pages are therefore only generated on certain architectures,
# but since it is an architecture "all" package, we only have to
# ensure that the uploader builds on a favoured architecture, e.g.
# i386.
#
export BUILDMAN=OFF
ifeq (64,$(DEB_BUILD_ARCH_BITS))
export BUILDMAN=ON
endif


%:
	dh $@ --buildsystem=cmake

override_dh_auto_configure:
	dh_auto_configure --buildsystem=cmake -- \
		-DCMAKE_SKIP_INSTALL_RPATH=ON \
		-DINVENTOR_MAN=$(BUILDMAN) \
		-DINVENTOR_NODES=OFF

override_dh_install:
ifeq (OFF,$(BUILDMAN))
	mkdir -p debian/tmp/usr/share/man/man1
	mkdir -p debian/tmp/usr/share/man/man3
endif
	dh_install
