=== debian/watch ===
version=4

opts="searchmode=plain,\
filenamemangle=s%v?@ANY_VERSION@%@PACKAGE@-$1.tar.xz%,\
dversionmangle=s/\+ds$//,repacksuffix=+ds" \
https://api.github.com/repos/aumuell/open-inventor/releases?per_page=100 \
https://api.github.com/repos/[^/]+/[^/]+/tarball/v?@ANY_VERSION@
