## inventor 2.1.6.1+ds

=== CMakeLists.txt ===
--- 
+++ 
@@ -6,10 +6,12 @@
 
 
 project("Open Inventor"
-    VERSION 2.1.6
+    VERSION 2.1.6.1
     DESCRIPTION "Object oriented OpenGL scene graph"
     HOMEPAGE_URL "http://oss.sgi.com/projects/inventor/"
     LANGUAGES CXX C)
+
+set(INVENTOR_SOVERSION 1)
 
 include(GNUInstallDirs)
 include(FeatureSummary)
