=== debian/changelog ===
inventor (2.1.6.1+ds-1) unstable; urgency=medium

  [ Steve Robbins ]
  * [321412f] Remove obsolete lintian override (lib SOVERSION was set to
    1 in 2013).
  * [be9c3e2] Override lintian diagnostic for weirdly-named makefile.
  * [95b718a] Remove patches applied upstream.
  * [b46a662] add upstream metadata

  [ Steve M. Robbins ]
  * New upstream version
  * Standards-Version: 4.7.2 (routine-update)

 -- Steve M. Robbins <smr@debian.org>  Mon, 08 Dec 2025 22:46:45 -0600
