=== debian/control ===
--- 
+++ 
@@ -16,7 +16,7 @@
                libfreetype-dev,
                libjpeg-dev,
                bison
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Rules-Requires-Root: no
 Vcs-Browser: https://salsa.debian.org/science-team/inventor
 Vcs-Git: https://salsa.debian.org/science-team/inventor.git
